X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Need help installing Silverlight plug in

Posted

I have a Mac and am using Firefox 19.0.2. I cannot install the Silverlight plug-in. I've tried every suggestion mentioned here and also had two tech support people from Microsoft trying to troubleshoot to no avail. How can I install this plug on on my Mac?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.6 r602
  • Displays Java applet content, or a placeholder if Java is not installed.
  • Adobe® Acrobat® Plug-in for Web Browsers, Version 11.0.02
  • Coupons Inc., Coupon Printing FireFox Plugin
  • LogMeIn remote control components
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Simple plug-in that handles Citrix connection files

Application

  • Firefox 19.0.2
  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:19.0) Gecko/20100101 Firefox/19.0
  • Support URL: http://support.mozilla.org/1/firefox/19.0.2/Darwin/en-US/

Extensions

  • Evernote Web Clipper 5.5.1 ({E0B8C461-F8FB-49b4-8373-FE32E9252800})
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Adobe Contribute Toolbar 6.0 ({01A8CA0A-4C96-465b-A49B-65C46FAD54F9}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription:
  • adapterDeviceID: 0x94c8
  • adapterDrivers:
  • adapterRAM:
  • adapterVendorID: 0x1002
  • driverDate:
  • driverVersion:
  • info: {u'AzureContentBackend': u'none', u'AzureCanvasBackend': u'quartz', u'AzureFallbackCanvasBackend': u'none'}
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • webglRenderer: ATI Technologies Inc. -- ATI Radeon HD 2400 OpenGL Engine
  • windowLayerManagerType: OpenGL

Modified Preferences

  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.history_expire_days.mirror: 180
  • browser.history_expire_days_min: 60
  • browser.places.importBookmarksHTML: False
  • browser.places.importDefaults: False
  • browser.places.leftPaneFolderId: -1
  • browser.places.migratePostDataAnnotations: False
  • browser.places.smartBookmarksVersion: 4
  • browser.places.updateRecentTagsUri: False
  • browser.search.useDBForOrder: True
  • browser.startup.homepage: http://www.google.com/ig
  • browser.startup.homepage_override.buildID: 20130307023931
  • browser.startup.homepage_override.mstone: 19.0.2
  • browser.tabs.onTop: False
  • dom.mozApps.used: True
  • extensions.lastAppVersion: 19.0.2
  • font.name.serif.x-western: Arial
  • font.size.variable.x-western: 14
  • gfx.blacklist.direct2d: 3
  • gfx.blacklist.layers.direct3d9: 3
  • gfx.blacklist.webgl.msaa: 4
  • keyword.URL: http://slirsredirect.search.aol.com/redirector/sredir?sredir=843&invocationType=tb50-ff-aolradioright-ab-en-us&tb_uuid=20111116231250676&tb_oid=16-11-2011&tb_mrud=16-11-2011&query=
  • network.cookie.prefsMigrated: True
  • network.protocol-handler.warn-external.dnupdate: False
  • places.database.lastMaintenance: 1364271958
  • places.history.expiration.transient_current_max_pages: 53688
  • places.history.expiration.transient_optimal_database_size: 85899344
  • places.last_vacuum: 1307679195
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • privacy.cpd.cookies: False
  • privacy.cpd.downloads: False
  • privacy.cpd.formdata: False
  • privacy.cpd.history: False
  • privacy.cpd.sessions: False
  • privacy.donottrackheader.enabled: True
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • security.warn_viewing_mixed: False

Misc

  • User JS: No
  • Accessibility: No
Andrew
  • Top 25 Contributor
  • Moderator
251 solutions 3019 answers

What error message are you receiving?

Question owner

I don't get any error message at all.

Andrew
  • Top 25 Contributor
  • Moderator
251 solutions 3019 answers

Could you elaborate on how you are not able to install then?

cor-el
  • Top 10 Contributor
  • Moderator
10756 solutions 96828 answers

Helpful Reply

Which Silverlight plugin version are you trying to install?

Some Silverlight versions are blocked on Mac.

You may have an older Mac 10.6.x version, so make sure that you have updated to OS X 10.6.8

Helpful Reply

I close out Firefox. I download Silverlight and install it. I open Firefox and it does not show up when I click on add ons or look under the "Troubleshooting info." I had trouble installing the last version, too. I had to delete the pluginreg.dat file and then relaunch Firefox in order to get it to work. Then, recently, it stopped working, so went I looked in the plug in list, there was an alert from Firefox that the application had been blocked and I needed to upgrade it. As soon as I downloaded the newer release of Silverlight, it refused to install again and deleting the pluginreg.dat file did not work this time around. I received another notice after yours that Firefox is blocking all versions of Silverlight 5.1 and 5.1.2. Which would pretty much explain the problem. Not even the folks at Microsoft are aware of this as I spent over an hour having them walk me through trying to install with no luck. I will have to use a different browser that is more compatible with this plug in.

Question owner

Well, that explains it. Thanks for letting me know. It works with other browsers so I will have to use another.

Question owner

FYI, all of my software is up to date, so that wasn't the problem.

hardyke 0 solutions 1 answers

I've also been unable to install the Silverlight plugin for Firefox 19.0.2. on my macbook pro (using Mac OS X 10.6.8). I found it convenient to simply use my Safari browser, which has never failed me.

Modified by hardyke